﻿@import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@300;400;700&display=swap');



/*#loading {
    position: fixed;*/ /* Sit on top of the page content */
    /*display: none;*/ /* Hidden by default */
    /*width: 100%;*/ /* Full width (cover the whole page) */
    /*height: 100%;*/ /* Full height (cover the whole page) */
    /*top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0,0,0,0.5);*/ /* Black background with opacity */
    /*z-index: 2;*/ /* Specify a stack order in case you're using a different order for other elements */
    /*cursor: pointer;*/ /* Add a pointer on hover */
/*}*/

.readOnly {
    background-color: var(--preto-20)
}


#startDate, #endDate {
    width: 50%;
    float: left;
}


.selectWithoutBorders {
    border-radius: 0px;
}


body {
    font-family: 'Open Sans', sans-serif;
}

.stSectionSeparator {
    height: 60px;
    background: var(--vermelho-sistrade-87);
    padding: 5px 10px;
    margin-bottom: 30px;
    top: 0px;
    color: var(--branco-87);
}

.stSectionSeparatorAutoComplete {
    background: var(--vermelho-sistrade-87);
    padding: 5px 10px;
    top: 0px;
    color: var(--branco-87);
}

.gridBar {
    float: right;
}

.gridBar label {
    color: var(--branco-87);
}

.jsgrid-table {
    overflow-wrap: break-word;
}



/* With an added fake (pseudo) element it works. IMPORTANT: There must be no spaces between the elements in the source, else it doesn't work! */
.block2 {
    height: 60px;
    line-height: 60px;
}

/* Fake (pseudo) element, that enables vertical-align */
.block2:before {
    content: "";
    display: inline-block;
    vertical-align: middle;
    height: 100%;
}


.inner2 {
    display: inline-block;
    vertical-align: middle;
}


block2 > * {
    vertical-align: middle;
    line-height: normal;
    // Align children to middle of line
}

.form-group {
    margin-right: 0px;
}




.popover {
    max-width: 550px;
    font-size: 14px;
}


#pesquisainteligentetable td {
    border-bottom: 1px solid var(--preto-20);
    padding: 8px;
}

#pesquisainteligentetable tr:last-child td {
    border-bottom: none;
}

.stTextArea {
    height: 100px !important;
}

.stModal2 {
    width: 80% !important;
}

.stModal2H {
    /* 80% of window height */
    height: 80%;
}

.stModal2B {
    /* 100% = dialog height, 120px = header + footer */
    max-height: calc(100% - 120px);
    overflow-y: scroll;
}


.form-control::-webkit-input-placeholder {
    color: var(--preto-20) !important;
}



/* /*************************************Gerais**************************************/
/* /*.right  */
/* { */
/* float:right; */
/* }*/
/* /*************************************Datas**************************************/
/* .data  */
/* { */
/* text-align:center; */
/* } */
/* .mo_cot  */
/* { */
/* width:40%; */
/* } */
/* @media (min-width: 992px)  */
/* { */
/* .data  */
/* { */
/* width:35%; */
/* } */
/* .mo_cot  */
/* { */
/* width:80%; */
/* } */
/* } */
/* /*************************************Linhas Separadoras**************************************/
/* .LinhaCabecalho  */
/* { */
/* background: var(--vermelho-sistrade-87); */
/* color: var(--branco-87); */
/* cursor:pointer; */
/* } */
/* .LinhaCabecalhoBotoes  */
/* { */
/* cursor:pointer; */
/* text-align:right; */
/* color: var(--branco-87); */
/* } */
/* /*************************************Cabeçalho**************************************/
/* .ser_codigo  */
/* { */
/* font-weight:bold; */
/* font-size: 160%; */
/* color: var(--vermelho-escuro); */
/* } */
/* .highlighted_cabecalho  */
/* { */
/* font-weight:bold; */
/* color: var(--vermelho-escuro); */
/* } */
/* .label_values  */
/* { */
/* font-weight:bold; */
/* color: var(--roxo-mais-escuro);     */
/* } */
/* @media (min-width: 992px)  */
/* { */
/* .BRight */
/* { */
/* text-align:right; */
/* } */
/* } */
/* /*************************************Campos**************************************/
/* .descritivo */
/* { */
/* } */
/* .campo_textarea  */
/* { */
/* resize: none; */
/* } */
/* .calendar  */
/* { */
/* color:var(--vermelho-escuro);   */
/* } */
/* .right  */
/* { */
/* text-align:right; */
/* } */
/* .center  */
/* { */
/* text-align:center; */
/* } */
/* .left  */
/* { */
/* text-align:left; */
/* } */
/* /*************************************Listas**************************************/ *


/* @media (min-width: 992px)  */
/* { */
     /* .Filtro_lista  */
    /* { */
        /* background-image: url('../images/searchicon.png'); */
        /* background-position: 10px 10px; */
        /* background-repeat: no-repeat; */
        /* width: 80%; */
        /* padding: 12px 20px 12px 40px !important; */

    /* } */
/* } */

/* @media (max-width: 991px)  */
/* { */
     /* .Filtro_lista  */
    /* { */
        /* width: 80%; */
        /* padding: 0px !important; */

    /* } */

     /* .btn  */
     /* { */
        /* padding: 4px 10px; */
        /* font-size: 1rem; */
        /* margin: 2px; */
        /* border-width: 2px; */
        /* -webkit-border-radius: 2px; */
        /* border-radius: 2px; */
        /* cursor: pointer; */
        /* text-transform: uppercase; */
        /* white-space: normal; */
        /* word-wrap: break-word; */
        /* font-weight: 400; */
    /* } */
/* } */

/* /*************************************Tabelas**************************************/ 
/* .rotate  */
/* { */
    /* writing-mode: tb-rl; */
/* } */

/* .Table_Header  */
/* { */
    /* text-align: center; */
    /* vertical-align:middle !important; */
/* } */

/* .tabela_principal  */
/* { */
   /* padding: .40rem; */
/* } */

/* .VAlinMiddle */
/* { */
    /* vertical-align:middle; */
/* } */

/* .VAlinTop */
/* { */
    /* vertical-align:top; */
/* } */

/* .VAlinBottom */
/* { */
    /* vertical-align:bottom; */
/* } */

/* /*************************************Loading**************************************/ 
/* #Mainloadingoverlay  */
/* { */
    /* position: fixed; */
    /* opacity: 0.7; */
    /* z-index: 9000; */
    /* top: 0; */
    /* bottom: 0; */
    /* left: 0; */
    /* right: 0; */
    /* background-color: white; */
/* } */

/* #Mainloading-message  */
/* { */
    /* padding-top: 20%; */
    /* text-align: center; */
    /* position: relative; */
/* } */

